<!-- BEGIN CMVC                                                              -->
<!-- *********************************************************************** -->
<!--                                                                         -->
<!--   Workfile: WebClient/smp/programs/ACreateCustomer.jsp, v3-java, fmv3                                                         -->
<!--   Last update: 02/05/15 20:29:58                                                  -->
<!--   SCCS path, id: /home/flowmark/vc/0/3/7/6/s.94 %i%                                                -->
<!--                                                                         -->
<!-- *********************************************************************** -->
<!-- END CMVC                                                                -->
<!-- BEGIN COPYRIGHT                                                         -->
<!-- *********************************************************************** -->
<!--                                                                         -->
<!--   Licensed Materials - Property of IBM                                  -->
<!--   5697-FM3 5655-A96                                                     -->
<!--   (C) Copyright IBM Corp. 1999, 2008                                    -->
<!--   US Government Users Restricted Rights - Use, duplication or           -->
<!--   disclosure restricted by GSA ADP Schedule Contract                    -->
<!--   with IBM Corp.                                                        -->
<!--                                                                         -->
<!-- *********************************************************************** -->
<!-- END COPYRIGHT                                                         -->
<!-- BEGIN DISCLAIMER                                                        -->
<!-- *********************************************************************** -->
<!--                                                                         -->
<!--  DISCLAIMER                                                             -->
<!--  ----------                                                             -->
<!--  This material contains programming source code for your consideration. -->
<!--  These examples have not been thoroughly tested under all conditions.   -->
<!--  IBM, therefore, cannot guarantee or imply reliability, serviceability, -->
<!--  or function of these programs.  All programs contained herein are      -->
<!--  provided to you "AS IS".  THE IMPLIED WARRANTIES OF MERCHANTABILITY    -->
<!--  AND FITNESS FOR A PARTICULAR PURPOSE ARE EXPRESSLY DISCLAIMED.         -->
<!--                                                                         -->
<!-- *********************************************************************** -->
<!-- END DISCLAIMER                                                          -->

<%-- Import the context bean that will be passed by the servlet --%>
<%-- Note that the scope of that bean is a single request, not  --%>
<%-- the entire session                                         --%>
<%@ page language="java" info="Application data access through JSP" %>
<%@ page errorPage="/forms/ViewError.jsp" %>
<%@ page import="com.ibm.workflow.api.*" %>
<%@ page import="com.ibm.workflow.servlet.client.*" %>
<jsp:useBean id="context" scope="request"
             type="com.ibm.workflow.servlet.client.RequestContext"/>

<html>
<head><title>Enter Customer Data</title></head>

<body bgcolor="#C6C6C6">
<% WorkItem workItem = context.getWorkItem(); %>
<h2>Enter Customer Data</h2>
<hr>

<!-- Instead of directly calling the Web Client's checkInWorkItem command -->
<!-- we splice a JSP that stores the non-Workflow data before forwarding  -->
<!-- the checkin request to the Web Client.                               -->
<form method="post" action="<%=context.getURL("{_HTMLDir_}/programs/ASaveCustomer.jsp")%>">

  <!-- These parameters are not needed by the ASaveCustomer JSP but will  -->
  <!-- be forwarded by the JSP to the Web Client's servlet. There is no   -->
  <!-- extra coding required for this, since the jsp:forward statement    -->
  <!-- in ASaveCustomer.jsp will pass on all request parameters.          -->
  <input type="hidden" name="command" value="checkInWorkItem">
  <input type="hidden" name="id" value="<%=java.net.URLEncoder.encode(workItem.persistentOid())%>">

  <!-- Note that the 'context' bean is not available in ASaveCustomer.jsp.-->
  <!-- Therefore we we pass the servlet path needed by ASaveCustomer.jsp  -->
  <!-- as a request parameter.                                            -->
  <input type="hidden" name="servletPath" value="<%=context.getServletPath()%>">

  <table>
    <tr><td>Database:</td><td><input type="text" name="CustomerDB" size="50" value="<%=new java.io.File(context.getRealPath("{_HTMLDir_}/../CustomerDB")).getCanonicalPath()%>"></td></tr>
    <tr><td colspan="2">&nbsp;</td></tr>
    <tr><td>First Name:</td><td><input type="text" name="FirstName"></td></tr>
    <tr><td>Last Name:</td><td><input type="text" name="LastName"></td></tr>
    <tr><td>Email Address:</td><td><input type="text" name="MailAddress"></td></tr>
    <tr><td>Customer ID:</td><td><input type="text" name="CustomerID"></td></tr>
    <tr><td><input type="submit" name="checkInWorkitem" value="Create Customer"></td>
        <td><input type="button" name="cancelWorkItem" value="Cancel" onClick="javascript:{location='<%=context.getCommand("cancelWorkItem", workItem.persistentOid())%>';}"></td>
    </tr>
  </table>
</form>

</body>
</html>
