<!-- BEGIN CMVC                                                              -->
<!-- *********************************************************************** -->
<!--                                                                         -->
<!--   Workfile: WebClient/credit/processes/CreditRequest.jsp, v3-java, fmv3                                                         -->
<!--   Last update: 02/02/27 09:47:21                                                  -->
<!--   SCCS path, id: /home/flowmark/vc/0/3/6/0/s.59 1.6                                                -->
<!--                                                                         -->
<!-- *********************************************************************** -->
<!-- END CMVC                                                                -->
<!-- BEGIN COPYRIGHT                                                         -->
<!-- BEGIN COPYRIGHT                                                         -->
<!-- *********************************************************************** -->
<!--                                                                         -->
<!--   Licensed Materials - Property of IBM                                  -->
<!--   5697-FM3 5655-A96                                                     -->
<!--   (C) Copyright IBM Corp. 1999, 2008                                    -->
<!--   US Government Users Restricted Rights - Use, duplication or           -->
<!--   disclosure restricted by GSA ADP Schedule Contract                    -->
<!--   with IBM Corp.                                                        -->
<!--                                                                         -->
<!-- *********************************************************************** -->
<!-- END COPYRIGHT                                                         -->
<!-- BEGIN DISCLAIMER                                                        -->
<!-- *********************************************************************** -->
<!--                                                                         -->
<!--  DISCLAIMER                                                             -->
<!--  ----------                                                             -->
<!--  This material contains programming source code for your consideration. -->
<!--  These examples have not been thoroughly tested under all conditions.   -->
<!--  IBM, therefore, cannot guarantee or imply reliability, serviceability, -->
<!--  or function of these programs.  All programs contained herein are      -->
<!--  provided to you "AS IS".  THE IMPLIED WARRANTIES OF MERCHANTABILITY    -->
<!--  AND FITNESS FOR A PARTICULAR PURPOSE ARE EXPRESSLY DISCLAIMED.         -->
<!--                                                                         -->
<!-- *********************************************************************** -->
<!-- END DISCLAIMER                                                          -->

<%-- Import the context bean that will be passed by the servlet --%>
<%-- Note that the scope of that bean is a single request, not  --%>
<%-- the entire session                                         --%>
<%@ page language="java" info="JSP process start" %>
<%@ page errorPage="/forms/ViewError.jsp" %>
<%@ page import="com.ibm.workflow.api.*" %>
<%@ page import="com.ibm.workflow.servlet.client.*" %>
<jsp:useBean id="context" scope="request"
             type="com.ibm.workflow.servlet.client.RequestContext"/>

<%
  ProcessTemplate template = context.getTemplate();
  String command = template == null
                 ? Command.PI_START.getCommand()
                 : Command.PT_CREATE_AND_START_INSTANCE.getCommand();
  String oid = template == null
             ? context.getInstance().persistentOid()
             : template.persistentOid();
%>

<html>

<head>
   <title>Start New Credit Request</title>
   <link rel="stylesheet" href="../creditsample.css">
</head>

<body>
<div class="title">New Credit Request Process</div>
<hr>
<%=context.openForm(command, oid)%>
  <div class="instruction"><br>
    Enter the applicant's name:<br>
    <br>
  </div>
  <table align="left">
      <tr>
        <td width="226" class="label">First Name:</td>
        <td width="152">
          <input type="text" name="FirstName" size="30">
        </td>
      </tr>
      <tr>
        <td width="226" class="label">Last Name:</td>
        <td width="152">
          <input type="text" name="LastName" size="30">
        </td>
      </tr>
      <tr>
        <td width="226" class="label">Social Security Number:</td>
        <td width="152">
          <input type="text" name="instanceName" size="30">
        </td>
      </tr>
    </table>
    <p>&nbsp;</p>
    <br>
    <br>
    <br>
    <br>
  <hr>
  <input name="submitData" type="submit" value="Apply for Credit">&nbsp;&nbsp;
  <input name="clear" type="reset" value="Clear">
</form>
</body>
</html>
