<!-- BEGIN CMVC                                                              -->
<!-- *********************************************************************** -->
<!--                                                                         -->
<!--     Workfile: WebClient/credit/programs/NRejectCredit.jsp, v3-java, fmv3                                                       -->
<!--  Last update: 02/02/27 09:47:33                                                   -->
<!--  SCCS path, id: /home/flowmark/vc/0/4/3/9/s.66 1.3                                                 -->
<!--                                                                         -->
<!-- *********************************************************************** -->
<!-- END CMVC                                                                -->
<!-- BEGIN COPYRIGHT                                                         -->
<!-- *********************************************************************** -->
<!--                                                                         -->
<!--   Licensed Materials - Property of IBM                                  -->
<!--   5697-FM3 5655-A96                                                     -->
<!--   (C) Copyright IBM Corp. 1999, 2008                                    -->
<!--   US Government Users Restricted Rights - Use, duplication or           -->
<!--   disclosure restricted by GSA ADP Schedule Contract                    -->
<!--   with IBM Corp.                                                        -->
<!--                                                                         -->
<!-- *********************************************************************** -->
<!-- END COPYRIGHT                                                         -->
<!-- BEGIN DISCLAIMER                                                        -->
<!-- *********************************************************************** -->
<!--                                                                         -->
<!--  DISCLAIMER                                                             -->
<!--  ----------                                                             -->
<!--  This material contains programming source code for your consideration. -->
<!--  These examples have not been thoroughly tested under all conditions.   -->
<!--  IBM, therefore, cannot guarantee or imply reliability, serviceability, -->
<!--  or function of these programs.  All programs contained herein are      -->
<!--  provided to you "AS IS".  THE IMPLIED WARRANTIES OF MERCHANTABILITY    -->
<!--  AND FITNESS FOR A PARTICULAR PURPOSE ARE EXPRESSLY DISCLAIMED.         -->
<!--                                                                         -->
<!-- *********************************************************************** -->
<!-- END DISCLAIMER   -->

<%-- Import the context bean that will be passed by the servlet --%>
<%-- Note that the scope of that bean is a single request, not  --%>
<%-- the entire session                                         --%>
<%@ page language="java" info="JSP workitem start" %>
<%@ page errorPage="/forms/ViewError.jsp" %>
<%@ page import="com.ibm.workflow.api.*" %>
<%@ page import="com.ibm.workflow.servlet.client.*" %>
<jsp:useBean id="context" scope="request"
             type="com.ibm.workflow.servlet.client.RequestContext"/>

<html>

<head>
  <title>NRejectCredit</title>
  <link rel="stylesheet" href="../creditsample.css">
</head>

<%
  ReadOnlyContainer inData = context.getContainer();
  WorkItem workItem = context.getWorkItem();
  String firstName = context.getMemberValue(inData, "CreditRequestor.FirstName", "&lt;notset&gt;");
  String lastName = context.getMemberValue(inData, "CreditRequestor.LastName", "&lt;notset&gt;");
%>

<body>
<div class="title">Credit Assessment Result</div>
<%=context.openForm("checkInWorkItem", workItem.persistentOid())%>
  <hr>
  <br>
  <table width="100%" border="0">
    <tr>
      <td width="8%">
        <div align="center"><img src="../images/nreject.gif" width="40" height="40"></div>
      </td>
      <td width="85%"><div class="infonorm">The credit request for <%=firstName%>
        <%=lastName%> has been REJECTED</div>
      </td>
      <td width="4%">&nbsp;</td>
    </tr>
  </table>
  <br>
  <br>
  <HR>
  <input type="submit" name="checkinWorkitem" value="Complete work item">
  <input type="button" name="cancelWorkItem" value="Cancel" onClick="javascript:{location='<%=context.getCommand("cancelWorkItem", workItem.persistentOid())%>';}">
</form>
</body>
</html>
