<!-- BEGIN CMVC                                                              -->
<!-- *********************************************************************** -->
<!--                                                                         -->
<!--   Workfile: WebClient/credit/starter/CreditRequestStarted.jsp, v3-java, fmv3                                                         -->
<!--   Last update: 02/02/27 09:47:23                                                  -->
<!--   SCCS path, id: /home/flowmark/vc/0/3/6/0/s.60 1.5                                                -->
<!--                                                                         -->
<!-- *********************************************************************** -->
<!-- END CMVC                                                                -->
<!-- BEGIN COPYRIGHT                                                         -->
<!-- *********************************************************************** -->
<!--                                                                         -->
<!--   Licensed Materials - Property of IBM                                  -->
<!--   5697-FM3 5655-A96                                                     -->
<!--   (C) Copyright IBM Corp. 1999, 2008                                    -->
<!--   US Government Users Restricted Rights - Use, duplication or           -->
<!--   disclosure restricted by GSA ADP Schedule Contract                    -->
<!--   with IBM Corp.                                                        -->
<!--                                                                         -->
<!-- *********************************************************************** -->
<!-- END COPYRIGHT                                                         -->
<!-- BEGIN DISCLAIMER                                                        -->
<!-- *********************************************************************** -->
<!--                                                                         -->
<!--  DISCLAIMER                                                             -->
<!--  ----------                                                             -->
<!--  This material contains programming source code for your consideration. -->
<!--  These examples have not been thoroughly tested under all conditions.   -->
<!--  IBM, therefore, cannot guarantee or imply reliability, serviceability, -->
<!--  or function of these programs.  All programs contained herein are      -->
<!--  provided to you "AS IS".  THE IMPLIED WARRANTIES OF MERCHANTABILITY    -->
<!--  AND FITNESS FOR A PARTICULAR PURPOSE ARE EXPRESSLY DISCLAIMED.         -->
<!--                                                                         -->
<!-- *********************************************************************** -->
<!-- END DISCLAIMER                                                          -->

<%-- Import the context bean that will be passed by the servlet --%>
<%-- Note that the scope of that bean is a single request, not  --%>
<%-- the entire session                                         --%>
<%@ page language="java" info="'CreditRequest successfully started' JSP" %>
<%@ page errorPage="/forms/ViewError.jsp" %>
<%@ page import="com.ibm.workflow.api.*" %>
<%@ page import="com.ibm.workflow.servlet.client.*" %>
<jsp:useBean id="context" scope="request"
             type="com.ibm.workflow.servlet.client.RequestContext"/>
<html>

<head>
  <title>Started Credit Request successfully</title>
  <link rel="stylesheet" href="../creditsample.css">
</head>

<body>
<div class="title">Credit application received</div>
<br>
<br>
<table width="93%" border="0">
  <tr>
    <td width="26%" class="infoemphasized">Reference Number</td>
    <td width="28%" class="infoemphasized">'<%=context.getInstance().name()%>'</td>
    <td width="25%">&nbsp;</td>
  </tr>
</table>
<br>
Your request for a new credit has been received and a reference number assigned.
We will get back to you with the result of the credit approval process. Please
allow 24 hours for an answer. For any inquiries please quote the reference number.
<br>
<br>
<a href="<%=context.getURL("{_HTMLDir_}/starter/StartCreditRequest.jsp")%>">
Start new credit request.</a>
<br>
</body>
</html>
